begin;
attach database 'baseball-raw.db' as 'raw';

alter table teamshalf rename to "teamseasonshalf";

alter table teamseasonshalf drop column "lgID";
alter table teamseasonshalf drop column "divID";
alter table teamseasonshalf drop column "DivWin";

insert into teamseasonshalf
select yearid, teamid, half, "rank", sum(g), sum(w), sum(l)
from "raw".managershalf
where yearid = 1892
group by yearid, teamid, half;

update teamseasonshalf
set teamid = 'WS9'
where yearid = 1892 and teamid = 'WAS';

commit;
